Page MenuHomePhabricator

[AG] [Task] Support new licenses
Closed, ResolvedPublic5 Estimated Story Points

Description

The new version of the tool should support a bunch of new licenses and ported versions of the licenses.

Related Objects

Event Timeline

Tobi_WMDE_SW set Security to None.Nov 10 2015, 3:12 PM
Tobi_WMDE_SW edited a custom field.
Tobi_WMDE_SW moved this task from Backlog to Doing on the TCB-Team-Sprint-2015-11-11 board.

I'm not 100% sure I did the right thing here. In one document[1] there is a list of supported licences which are now all supported with the latest patch. However, in the list of all ported licences[2] there are a bunch of licences that don't appear in the original list e.g. CC BY-SA 1.0 or CC BY 2.1.
So far I only added ported versions of licences that appeared in the original list of supported licences.

[1]: https://docs.google.com/document/d/1SGu3kY0IRY0pvMxcGlXrpHJQNnThsApWGNzAVDX1eEY
[2]: https://docs.google.com/document/d/1RqqdXayb_92lq_eFfh42pBpLX9uk1zToyd0xp7NWf60

@KasiaWMDE something to answer for you

@Jakob_WMDE
After clarification with the Project Manager: the ported licences that don't appear in the original list can be ignored until clarified with a lawyer (for now they are not part of release 2.0.). Thanks for your vigilant eye!

Addshore closed this task as Resolved.Nov 23 2015, 10:44 AM
Addshore added a subscriber: Addshore.
Addshore moved this task from Incoming to Done on the archived--TCB-Team board.Nov 27 2015, 10:27 AM